//=========================================================
//  MusE
//  Linux Music Editor
//    $Id: checkbox.h,v 1.2 2004/02/04 19:51:27 wschweer Exp $
//  (C) Copyright 2004 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __CHECKBOX_H__
#define __CHECKBOX_H__

#include <qcheckbox.h>

//---------------------------------------------------------
//   CheckBox
//---------------------------------------------------------

class CheckBox : public QCheckBox {
      Q_OBJECT
      Q_PROPERTY( int id READ id WRITE setId )

      int _id;

   private slots:
      void hasToggled(bool val);

   signals:
      void toggleChanged(bool, int);

   public:
      CheckBox(QWidget* parent, int i, const char* name = 0);
      int id() const       { return _id; }
      void setId(int i)    { _id = i; }
      };

#endif

